# Generated by Django 4.1.10 on 2023-08-10 09:07

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    replaces = [
        ("extension", "0001_initial"),
        ("extension", "0002_rename_extensionmirrorjournal_mirrorjournal"),
        ("extension", "0003_remove_extension_explanation_text_and_more"),
        ("extension", "0004_extension_badge_text_blue_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="MirrorJournal",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("issns", models.CharField(max_length=20)),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="mirror_journals",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="LicensedJournal",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("issns", models.CharField(max_length=20)),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="licensed_journals",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Extension",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "support_url",
                    models.URLField(
                        help_text="Link zu Website mit Förderinformationen. Erscheint unter der Suchmaske bzw. den Suchergebnissen in einem grauen Kästchen.",
                        max_length=2000,
                        null=True,
                    ),
                ),
                (
                    "support_linktext",
                    models.CharField(
                        default="Weitere Informationen zur Finanzierung von Publikationskosten an #Einrichtung#",
                        max_length=5000,
                    ),
                ),
                (
                    "contact_mail",
                    models.EmailField(
                        help_text="E-mail einer Kontaktperson oder Funktionsadresse. Erscheint unter der Suchmaske bzw. den Suchergebnissen in einem grauen Kästchen.",
                        max_length=500,
                        null=True,
                        verbose_name="E-Mail for contact",
                    ),
                ),
                (
                    "contact_linktext",
                    models.CharField(
                        default="Ansprechpartner für weitere Informationen",
                        max_length=4000,
                    ),
                ),
                (
                    "badge_text_yellow",
                    models.CharField(
                        default="Ggf. Kostenübernahme",
                        help_text="Der gelbe Badge markiert Zeitschriften, die laut den von Ihnen eingegebenen Kriterien - Preisobergrenze und Lizenzen - an Ihrer Einrichtung förderbar sein können.",
                        max_length=50,
                    ),
                ),
                (
                    "badge_tooltip_yellow",
                    models.CharField(
                        default="Diese Zeitschrift erfüllt voraussichtlich die Bedingungen für eine Kostenübernahme durch den Publikationsfonds von #Institution#. Bitte wenden Sie sich an den unten angegebenen Kontakt. / This journal's APC should be refundable by the publication funds of #institution#. Please contact us via the e-mail address or website below.",
                        max_length=500,
                    ),
                ),
                (
                    "badge_text_red",
                    models.CharField(
                        default="Nicht förderfähig",
                        help_text=" Der rote Badge markiert Zeitschriften, die die angegebenen Förderkriterien - Preisobergrenze, Lizenzen - nicht erfüllen.",
                        max_length=50,
                    ),
                ),
                (
                    "badge_tooltip_red",
                    models.CharField(
                        default="Diese Zeitschrift erfüllt die Förderbedingungen von/der #Institution# voraussichtlich nicht und es ist keine Kostenübernahme durch den Publikationsfonds möglich. Für weitere Fragen nehmen Sie bitte Kontakt auf. / This journal is presumably not applicable for refunding by the publication funds of ’institution#. Please contact the #institutions#'s library in case of further questions.",
                        max_length=500,
                    ),
                ),
                (
                    "badge_text_green",
                    models.CharField(
                        default="APC-frei",
                        help_text="Der grüne Badge markiert APC-freie Zeitschriften.",
                        max_length=50,
                    ),
                ),
                (
                    "badge_tooltip_green",
                    models.CharField(
                        default="Diese Zeitschrift erhebt keine Publikationsgebühren (APCs). Bitte versichern Sie sich dazu auf der Website der Zeitschrift. / This journal does not charge article processing charges. Please verify on the journal's website.",
                        max_length=500,
                    ),
                ),
                (
                    "price_limit",
                    models.IntegerField(
                        blank=True, null=True, verbose_name="Upper price limit (in €)"
                    ),
                ),
                (
                    "mirror_handling",
                    models.CharField(
                        choices=[
                            ("IGNORE", "Ignore"),
                            ("HIDE", "Hide"),
                            ("LABEL", "Label"),
                        ],
                        default="IGNORE",
                        max_length=10,
                    ),
                ),
                (
                    "licenses",
                    models.ManyToManyField(
                        blank=True,
                        help_text="Wählen Sie aus den Lizenzangaben der Zeitschriften diejenigen aus, die Voraussetzung für eine Förderung sind.",
                        to="recommender.license",
                    ),
                ),
                (
                    "user",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "additional_text",
                    models.CharField(
                        default="Zusätzliche Informationen für die Möglichkeiten einer Übernahme von Publikationskosten durch #Einrichtung#: Zu jeder von B!SON ermittelten Zeitschrift wird mit einem farbigen Badge angegeben, ob für Angehörige des/der #Einrichtung# eine Erstattung der Publikationskosten grundsätzlich möglich ist (gelb), die Zeitschrift von einem Open-Access-Vertrag abgedeckt ist, an dem #Einrichtung# teilnimmt (blau), die Zeitschrift keine APCs erhebt (grün) oder die Kosten für eine Publikation in der Zeitschrift voraussichtlich von #Institution# nicht übernommen werden (rot). Bitte informieren Sie sich über die unten angegebenen Kontaktmöglichkeiten über weitere Fördervoraussetzungen.",
                        help_text="Dieser Text erscheint in einem grauen Kästchen über der Eingabemaske.",
                        max_length=4000,
                    ),
                ),
                (
                    "badge_text_blue",
                    models.CharField(
                        default="von Vertrag abgedeckt",
                        help_text=" Der blaue Badge markiert Zeitschriften, die von Verträgen (DEAL, institutionelle Verträge) abgedeckt sind und für die keine Gebühren anfallen. Hinterlegung der Zeitschriften unter Licensed Journals",
                        max_length=50,
                    ),
                ),
                (
                    "badge_tooltip_blue",
                    models.CharField(
                        default="Für diese Zeitschrift fallen für Angehörige der #Einrichtung# keine Gebühren an, da sie von einem Vertrag abgedeckt wird. Bitte wenden Sie sich bei Rückfragen an den unten angegebenen Kontakt. / For this journal, members of #institution# can publish without payment of APCs, since it is covered by a contract. Please contact us via the below e-mail address in case of any questions.",
                        max_length=500,
                    ),
                ),
                (
                    "institution_logo",
                    models.ImageField(
                        blank=True,
                        help_text="Logo der Institution welches bei den Informationen unten auf der Seite erscheint.",
                        null=True,
                        upload_to="logos/",
                    ),
                ),
            ],
        ),
    ]
